using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

namespace AspNetCookbook
{
	[DefaultProperty("Text"), 
	ToolboxData("<{0}:ViewStateControl runat=server></{0}:ViewStateControl>")]
	public class ViewStateControl : System.Web.UI.WebControls.WebControl
	{
		public string Text 
		{
			get
			{
				string text = (string) ViewState["Text"];
				return (text == null)? string.Empty : text;
			}
			set
			{
				ViewState["Text"] = value;
			}
		}

		protected override void Render(HtmlTextWriter writer)
		{
			writer.Write(Text);
		}
	}
}
