<%@ Page Language="C#" %>
<%@ Import Namespace="Microsoft.Data.Odbc" %>
<script runat="server">
void Page_Load(Object sender, EventArgs e) 
{
    //get connection string from dropdown list
    String connectString = "DSN=myDSN;Uid=user;Pwd=pass";

    OdbcConnection myConn = null;

    //use try/catch because we may fail to connect
    try
    {			
	    myConn = new OdbcConnection( connectString );		
    	myConn.Open();
    		
    	//we connected!
    	lblConnectInfo.Text = "Connection successful!";

	    //do something and then be sure to close the connection...
    }
    catch
    {
    	//was your connection string correct?
    	lblConnectInfo.Text = "Connection failed!";
    }
    finally
    {
    	if (myConn != null)
    		myConn.Close();
    }	    	
}
</script>
<html>
	<head>
		<title>Recipe1005cs</title>
	</head>
	<body>
		<form id="Recipe1005csForm" method="post" runat="server">
			This page simply tries (and fails) to open an ODBC connection.
			<asp:Label id="lblConnectInfo" runat="server"></asp:Label>
		</form>
	</body>
</html>
