<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>
<%@ Page Language="C#" %>
<script runat="server">

    void Page_Load(object Source, EventArgs E)
    {
        String ConnectionString;
        ConnectionString = "Provider=Microsoft.Jet.OleDb.4.0;Data Source=" + Server.MapPath("Northwind.mdb") + ";";
    
        String QuerySQL; 
        QuerySQL = "SELECT ShipperID, CompanyName, Phone FROM Shippers";
    
        OleDbConnection objConn = new OleDbConnection(ConnectionString);
	
    
        OleDbCommand objCmd;
        objCmd = new OleDbCommand();
        objCmd.CommandText = QuerySQL;
        objCmd.Connection = objConn;
    
        try
	{
            objConn.Open();
    
            dg1.DataSource = objCmd.ExecuteReader();
            dg1.DataBind();
    	}
        catch (Exception Err)
	{
            ltlError.Text = Err.ToString();
	}
        finally
	{
            objConn.Close();
	}
    
    }

</script>
<html>
	<head>
		<title>Connecting to Microsoft Access Database</title>
	</head>
	<body>
		<form runat="server">
			<h3>Connecting to Microsoft Access Database
			</h3>
			<h3>
				<asp:DataGrid id="dg1" runat="server"></asp:DataGrid>
			</h3>
			<p>
				<asp:Literal id="ltlError" runat="server"></asp:Literal>
			</p>
		</form>
	</body>
</html>
