<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Xml" %>
<%@ Page Language="VB" %>
<script runat="server">

    ' Insert page code here
    '
    Public Sub Page_Load(Source As Object, E As EventArgs)
    
        Dim _Reader As XmlTextReader
    
        Try
            _Reader = New XmlTextReader(Server.MapPath("users.xml"))
            Call ReadDocument(_Reader)
    
        Catch _Error As Exception
            ErrorLabel.Text = _Error.Message
    
        Finally
            _Reader.Close()
    
        End Try
    
    
    End Sub
    
	Sub ReadDocument(ByRef _XmlReader As XmlTextReader)
		Dim sb As New System.Text.StringBuilder(100)
		Dim space As String = "&nbsp;"
		Dim space3 As String = "&nbsp;&nbsp;&nbsp;"
		
		While _XmlReader.Read()

			Select Case _XmlReader.NodeType

			Case XmlNodeType.Element
					sb.Append("<B>Element: </B>")
					sb.Append(_XmlReader.Name)
					sb.Append("<BR/>")

				'Print attributes for current node, if any available...
				If _XmlReader.AttributeCount > 0 Then
					While _XmlReader.MoveToNextAttribute()
							sb.Append(space3)
							sb.Append("<B>Attribute Name: </B>")
							sb.Append(_XmlReader.Name)
							sb.Append(space)
							sb.Append("<B>Attribute Value: </B>")
							sb.Append(_XmlReader.Value)
							sb.Append("<BR/>")
					End While
				End If

			Case XmlNodeType.Text
					sb.Append(space3)
					sb.Append("<B>Value: </B>")
					sb.Append(_XmlReader.Value)
					sb.Append("<BR/>")

			End Select

		End While
		OutputLiteral.Text = sb.ToString()
	End Sub
</script>
<html>
	<head>
		<title>Using the XmlTextReader</title>
	</head>
	<body>
		<form runat="server">
			<p>
				<asp:Literal id="OutputLiteral" runat="server" EnableViewState="False"></asp:Literal>
			</p>
			<p>
				<asp:Label id="ErrorLabel" runat="server" ForeColor="Red"></asp:Label>
				<!-- Insert content here -->
			</p>
		</form>
	</body>
</html>
