using System;

namespace AspNetCookbook.Recipe1405cs
{
	public interface IPrintable
	{
		string Print();
	}

	public class User : IPrintable
	{
		private string _username = "Default user";

		public string Username
		{
			get
			{
				return _username;
			}
			set
			{
				_username = value;
			}
		}

		public string Print()
		{
			return Username;
		}
	}

	public class Widget : IPrintable
	{
		public string Print()
		{
			return this.ToString();
		}
	}
}