<%@ Page Language="VB" %>
<script runat="server">

    Sub Page_Load(sender As Object, e As System.EventArgs)
       Result.Text = ""
       CCType.Text = ""
    End Sub 'Page_Load
    
    
    Sub ValidateCC(Sender As Object, E As EventArgs)
       Dim ccText As String = CreditNo.Text '-- the credit card number that the user entered
       Dim indicator As Integer = 1 '-- will be indicator for every other number
       Dim firstNumToAdd As Integer = 0 '-- will be used to store sum of first set of numbers
       Dim secondNumToAdd As Integer = 0 '-- will be used to store second set of numbers
       Dim num1 As String '-- will be used if every other number added is greater than 10, store the left-most integer here
       Dim num2 As String '-- will be used if ever yother number added is greater than 10, store the right-most integer here
       Dim ccArr As Char() = ccText.ToCharArray()
    
       Dim i As Integer
       For i = ccArr.Length - 1 To 0 Step -1
          Dim ccNoAdd As Char = ccArr(i)
          Dim ccAdd As Integer = Int32.Parse(ccNoAdd.ToString())
          If indicator = 1 Then
             '-- If we are on the odd number of numbers, add that number to our total
             firstNumToAdd += ccAdd
             '-- set our indicator to 0 so that our code will know to skip to the next piece
             indicator = 0
          Else
             '-- if the current integer doubled is greater than 10
             '-- split the sum in to two integers and add them together
             '-- we then add it to our total here
             If ccAdd + ccAdd >= 10 Then
                Dim temporary As Integer = ccAdd + ccAdd
                num1 = temporary.ToString().Substring(0, 1)
                num2 = temporary.ToString().Substring(1, 1)
                secondNumToAdd += Convert.ToInt32(num1) + Convert.ToInt32(num2)
             Else
                '-- otherwise, just add them together and add them to our total
                secondNumToAdd += ccAdd + ccAdd
             End If
             '-- set our indicator to 1 so for the next integer we will perform a different set of code
             indicator = 1
          End If
       Next i
       '-- If the sum of our 2 numbers is divisible by 10, then the card is valid. Otherwise, it is not
       If(firstNumToAdd + secondNumToAdd) Mod 10 = 0 Then
          Result.Text = "This Card Is Valid"
          CCType.Text = RetrieveCCType(ccText)
       Else
          Result.Text = "This Card Is Invalid"
       End If
    End Sub 'ValidateCC
    
Function RetrieveCCType(CCNum As String) As String
	'Master Card
    If Convert.ToInt32(CCNum.Substring(0, 2)) >= 51 And Convert.ToInt32(CCNum.Substring(0, 2)) <= 55 Then
        Return "This card is a Master Card."
    End If
    
    'Visa
    If Convert.ToString(CCNum.Substring(0, 1)) = "4" Then
        Return "This card is a Visa."
    End If
    
    'Amex
    If Convert.ToString(CCNum.Substring(0, 2)) = "34" Or Convert.ToString(CCNum.Substring(0, 2)) = "37" Then
        Return "This card is an American Express."
    End If
    
    'Discover
    If Convert.ToString(CCNum.Substring(0, 4)) = "6011" Then
        Return "This card is a Discover Card."
    End If
    
    Return "This is an unknown credit card."
End Function 'RetrieveCCType

</script>
<html>
	<head>
	</head>
	<body>
		<form runat="server">
			<asp:TextBox id="CreditNo" Runat="server"></asp:TextBox>
			<asp:Button id="Button1" onclick="ValidateCC" Runat="server" Text="Validate"></asp:Button>
			<br />
			<asp:Label id="Result" Runat="server"></asp:Label>
			<p>
				<asp:Label id="CCType" Runat="server"></asp:Label>
			</p>
		</form>
	</body>
</html>
