﻿<%@ Page Language="c#" Debug="true" %>
<html>
	<title>Trigonometric Functions</title>
	<head>
		<script language="c#" runat="server">
       void BtnCheck_Click(Object sender,EventArgs e) 
	{
	  try
          {
	    if (RadSin.Checked )
	     {
		LblValue.Text = "Sin " + TxtInput.Text + " = ";
          	LblValue.Text += Convert.ToString(Math.Round(Math.Sin(Convert.ToDouble(TxtInput.Text) * (Math.PI/180)),3));
	     }
	    else if (RadCos.Checked) 
	     {
		LblValue.Text = "Cos " + TxtInput.Text + " = ";
		LblValue.Text += Convert.ToString(Math.Round(Math.Cos(Convert.ToDouble(TxtInput.Text) * (Math.PI/180)),3));
	     }
	    else if (RadTan.Checked )
             {
		LblValue.Text = "Tan " + TxtInput.Text + " = ";
		LblValue.Text += Convert.ToString(Math.Round(Math.Tan(Convert.ToDouble(TxtInput.Text) * (Math.PI/180)),3));
	     }
           }
	catch (Exception Ex)
          {
	  LblValue.Text= "<font color=red>Error:" ;
	  LblValue.Text += Ex.Message;
           }
	
       }
		</script>
	</head>
	<body>
		<h3><font face="Verdana">Trigonometric Functions Recipe</font></h3>
		<form runat="server">
			Please enter angle:
			<asp:TextBox id="TxtInput" runat="server" /><br />
			<asp:RadioButton id="RadSin" Text="Sin" Checked="True" GroupName="RadioTrigo" runat="server" /><br />
			<asp:RadioButton id="RadCos" Text="Cosine" GroupName="RadioTrigo" runat="server" /><br />
			<asp:RadioButton id="RadTan" runat="server" Text="Tangent" GroupName="RadioTrigo" /><br />
			<asp:Button id="BtnCheck" Text="Click Me" onclick="BtnCheck_Click" runat="server" /><br />
			<br />
			<asp:Label id="LblValue" runat="server" />
		</form>
	</body>
</html>
