<%@ Page Language="C#" debug="true" %>
<%@ Import Namespace="System.IO" %>
<script language="C#" runat="server">
    protected void Page_Load (object Source, EventArgs e)
    {
      LineCounter.Text = CountLinesFromFile(Server.MapPath("starwarquotes.txt"));
    }

    public string CountLinesFromFile(string filename)
    {
      string result;
      StreamReader sr = null;
      try
      {
        int lineCount = 1;
        sr = File.OpenText(filename);
        while( sr.ReadLine() != null )
        {
          lineCount++;
        }
        result = lineCount.ToString();
      }
      catch(Exception ex)
      {
        result = ex.Message;
      }
      finally
      {
        if (sr != null) sr.Close();
      }

      return result;
    }
</script>
<html>
<body>
<form runat="server">
  <asp:Label id="LineCounter" runat="server" />
</form>
</body>
</html>
