<%@ Page Language="c#" Explicit="true" Strict="true" %>
<%@ Import Namespace = "System.IO" %>
<script language="c#" runat="Server">
	public void ReadFile(object sender, EventArgs e)
	{
		StreamReader FileStreamReader = null;
		try
		{
			FileStreamReader = File.OpenText (Server.MapPath(".\\Upload\\") + "test.txt");
			TextContent.Text = FileStreamReader.ReadToEnd();
			FileStreamReader.Close();
			OutputLabel.Text = "File Succesfully Read!";
		}
		catch (Exception exc)
		{
			OutputLabel.Text = "Error in Reading file. Error is " + exc.ToString();
		}
		finally
		{
			if(FileStreamReader!=null)
				FileStreamReader.Close();
		}
	}
</script>
<html>
	<head>
		<title>Opening a File</title>
	</head>
	<body>
		<form id="Form1" method="post" runat="server">
			<asp:TextBox ID="TextContent" Runat="server" TextMode="MultiLine" Rows="10" Columns="75"></asp:TextBox><br>
			<asp:Button ID="Submit" Runat="server" Text="Submit" OnClick="ReadFile"></asp:Button>
			<asp:Label ID="OutputLabel" Runat="server"></asp:Label>
		</form>
	</body>
</html>
