<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>
<%@ Page Language="VB" %>
<script runat="server">

    Public Sub Page_Load(Source As Object, E As EventArgs)
		' Remove the next two lines to enable
		Response.Write("Disabled for security reasons.")
		Response.End()
        If Not Page.IsPostback Then
            Dim Drive As String
            Dim Drives() As String
    
            Drives = Directory.GetLogicalDrives()
    
            DriveDisplay.DataSource = Drives
            DriveDisplay.DataBind()
        End If
        
        SearchResultsLiteral.Text = ""
    
    End Sub
    
    Public Sub Search_Click(Source As Object, E As EventArgs)
    
        If CriteriaTextBox.Text <> "" Then
    
          'Assign the search criteria to the declared variable
           Dim Criteria As String = CriteriaTextBox.Text
    
           Dim DriveRoot As String = DriveDisplay.SelectedItem.Text
           Dim Directories  As String(), Files As String()
           Dim iFile As String, iDirectory As String
    
           Directories  = Directory.GetDirectories(DriveRoot)
           Files = Directory.GetFileSystemEntries(DriveRoot, Criteria)
    
           BeginTable()
    
           For Each iDirectory In Directories 
              Search(iDirectory, Criteria)
           Next
    
           For Each iFile In Files
              ListFiles(iFile)
           Next
    
           EndTable()
        Else
           SearchResultsLiteral.Text = "Enter a search criteria."
    
        End If
    
    End Sub
    
	'Iteration carried out to search within directories
    Private Sub Search(Dir As String, Cri As String)
    
        Dim Directories  As String(), Files As String()
        Dim iFile As String, iDirectory As String
    
        Directories  = Directory.GetDirectories(Dir)
        Files = Directory.GetFileSystemEntries(Dir, Cri)
    
        For Each iDirectory In Directories 
            Search(iDirectory, Cri)
        Next
    
        For Each iFile In Files
            ListFiles(iFile)
        Next
    
    End Sub
    
    'Formats the output
    Public Sub ListFiles(FileName As String)
    
        Dim iFileInfo As New FileInfo(FileName)
    
        SearchResultsLiteral.Text += "<Tr>"
        SearchResultsLiteral.Text += "<Td>" & iFileInfo.Name & "</Td>"
        SearchResultsLiteral.Text += "<Td><a href='" & Path.GetDirectoryName(iFileInfo.FullName) & "'>" & _
        Path.GetDirectoryName(iFileInfo.FullName) & "</a></Td>"
        If Path.HasExtension(FileName) Then
           SearchResultsLiteral.Text += "<Td>" & iFileInfo.Extension & "</Td>"
        Else
           SearchResultsLiteral.Text += "<Td> Dir </Td>"
        End If
        SearchResultsLiteral.Text += "<Td>" & iFileInfo.LastWriteTime & "</Td>"
        SearchResultsLiteral.Text += "</Tr>"
    
    
    End Sub

    'Method creates the header of the output table
    Public Sub BeginTable()
    
        SearchResultsLiteral.Text += "<Table border='0' cellspacing='1' cellpadding='3'>"
        SearchResultsLiteral.Text += "<Th bgcolor='#C6C6C6'> Name </Th>"
        SearchResultsLiteral.Text += "<Th bgcolor='#C6C6C6'> Path </Th>"
        SearchResultsLiteral.Text += "<Th bgcolor='#C6C6C6'> Extension </Th>"
        SearchResultsLiteral.Text += "<Th bgcolor='#C6C6C6'> Modified On</Th>"
    
    End Sub
    
    'Method creates the closing of the output table
    Public Sub EndTable()
    
        SearchResultsLiteral.Text += "</Table>"
    
    End Sub

</script>
<html>
	<head>
		<title>File Search Utility</title>
	</head>
	<body>
		<form runat="server">
			<h4>Type Path/Name of file to search for it
			</h4>
			<p>
				<asp:TextBox id="CriteriaTextBox" runat="server"></asp:TextBox>
				&nbsp;<asp:Button id="SearchButton" runat="server" Text="Search" onclick="Search_Click"></asp:Button>
			</p>
			<p>
				<asp:DropDownList id="DriveDisplay" runat="server"></asp:DropDownList>
			</p>
			<p>
				<hr />
			</p>
			<p>
			</p>
			<p>
			</p>
			<p>
			</p>
			<p>
			</p>
			<p>
			</p>
			<p>
			</p>
			<p>
				<asp:Literal id="SearchResultsLiteral" runat="server"></asp:Literal>
			</p>
		</form>
	</body>
</html>
