<%@ Page Language="C#" %>
<script runat="server">
void CopyFile_Click(object sender, System.EventArgs e)
{
	try
	{
		string sourceFile = Server.MapPath("recipe1708.txt");
		string destinationFile = Server.MapPath("recipe1708copy.txt");
		System.IO.File.Copy(sourceFile, destinationFile);
	}
	catch (Exception ex)
	{
		MessageLabel.Text = ex.Message;
	}
}

void MoveFile_Click(object sender, System.EventArgs e)
{
	try
	{
		string sourceFile = Server.MapPath("recipe1708.txt");
		string destinationFile = Server.MapPath("recipe1708move.txt");
		System.IO.File.Move(sourceFile, destinationFile);
	}
	catch (Exception ex)
	{
		MessageLabel.Text = ex.Message;
	}
}
</script>
<html>
	<head>
		<title>Copying or Moving a File</title>
	</head>
	<body>
		<form id="MainForm" runat="server">
			Copy "recipe1708.txt" to "recipe1708copy.txt"
			<asp:button id="CopyFile" runat="server" text="Copy File" onclick="CopyFile_Click" />
			<br />
			Move "recipe1708.txt" to "recipe1708move.txt"
			<asp:button id="MoveFile" runat="server" text="Move File" onclick="MoveFile_Click" />
			<br />
			<asp:Label ID="MessageLabel" Runat="server" />
		</form>
	</body>
</html>
