<%@ Page Language="VB" %>
<script runat="server">
Sub CopyFile_Click(sender As Object, e As System.EventArgs)
	Try
		Dim sourceFile As String = Server.MapPath("recipe1708.txt")
		Dim destinationFile As String = Server.MapPath("recipe1708copy.txt")
		System.IO.File.Copy(sourceFile, destinationFile)
	Catch Ex As Exception
		MessageLabel.Text = Ex.Message
	End Try
End Sub

Sub MoveFile_Click(sender As Object, e As System.EventArgs)
	Try
		Dim sourceFile As String = Server.MapPath("recipe1708.txt")
		Dim destinationFile As String = Server.MapPath("recipe1708move.txt")
		System.IO.File.Move(sourceFile, destinationFile)
	Catch Ex As Exception
		MessageLabel.Text = Ex.Message
	End Try
End Sub
</script>
<html>
	<head>
		<title>Copying or Moving a File</title>
	</head>
	<body>
		<form id="MainForm" runat="server">
			Copy "recipe1708.txt" to "recipe1708copy.txt"
			<asp:button id="CopyFile" runat="server" text="Copy File" onclick="CopyFile_Click" />
			<br />
			Move "recipe1708.txt" to "recipe1708move.txt"
			<asp:button id="MoveFile" runat="server" text="Move File" onclick="MoveFile_Click" />
			<br />
			<asp:Label ID="MessageLabel" Runat="server" />
		</form>
	</body>
</html>
