<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="C#" runat="server">

private void SubmitButton_Click(System.Object sender, System.EventArgs e){
	String RequestUrl = Request.Url.GetLeftPart(System.UriPartial.Authority) + Request.ApplicationPath + "/Recipe2103Cookie.aspx";

	HttpWebRequest WebRequestObject = null;
	StreamReader sr = null;
	HttpWebResponse WebResponseObject = null;
	
	try{

		WebRequestObject = (HttpWebRequest) WebRequest.Create(RequestUrl);
		WebRequestObject.Method = "GET";
		
		System.Net.CookieContainer CookieContainerObject = new System.Net.CookieContainer();
		System.Net.Cookie Cookie = new System.Net.Cookie();

		Cookie.Name = "userid";
		Cookie.Value = "1234567890";
		Cookie.Domain = Request.ServerVariables["HTTP_HOST"];  //www.somedomain.com
		Cookie.Secure = true;
		CookieContainerObject.Add(Cookie);

		WebRequestObject.CookieContainer = CookieContainerObject;

		WebResponseObject = (HttpWebResponse) WebRequestObject.GetResponse();
		sr = new StreamReader(WebResponseObject.GetResponseStream());
		
		String Results = sr.ReadToEnd();
		WebResponseLabel.Text = Results;
		WebResponseText.Text = Results;
	}
	finally{
		try{
			sr.Close();
		}
		catch{}
		
		try{
			WebResponseObject.Close();
			WebRequestObject.Abort();
		}
		catch{}
	}
}

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server" ID="Form1">
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Page Requiring Cookies" OnClick="SubmitButton_Click" />
			<a href="Recipe2103Cookie.aspx">View Page without Cookie</a><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
