<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="VB" runat="server">

Private Sub SubmitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
	Dim RequestUrl As String = Request.Url.GetLeftPart(System.UriPartial.Authority) & Request.ApplicationPath & "/Recipe2103Cookie.aspx"

	Dim WebRequestObject As HttpWebRequest
	Dim sr As StreamReader
	Dim WebResponseObject As HttpWebResponse
	
	Try
		WebRequestObject = CType(WebRequest.Create(RequestUrl), HttpWebRequest)
		WebRequestObject.Method = "GET"

		Dim CookieContainerObject as New System.Net.CookieContainer()
		Dim Cookie as New System.Net.Cookie()

		Cookie.Name = "userid" 
		Cookie.Value = "1234567890"
		Cookie.Domain = Request.ServerVariables("HTTP_HOST")  'www.somedomain.com
		Cookie.Secure = True 
		CookieContainerObject.Add(Cookie) 

		WebRequestObject.CookieContainer = CookieContainerObject 

		WebResponseObject = CType(WebRequestObject.GetResponse(), HttpWebResponse)
		
		sr = New StreamReader(WebResponseObject.GetResponseStream)

		Dim Results as string = sr.ReadToEnd
		WebResponseLabel.Text = Results
		WebResponseText.Text = Results
	Finally
		Try
			sr.Close()
		Catch
		End Try
		
		Try
			WebResponseObject.Close()
			WebRequestObject.Abort()
		Catch
		End Try
	End Try
End Sub

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server">
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Page Requiring Cookies" OnClick="SubmitButton_Click" />
			<a href="Recipe2103Cookie.aspx">View Page without Cookie</a><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
