<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="C#" runat="server">

private void SubmitButton_Click(System.Object sender, System.EventArgs e){
	String RequestUrl = Request.Url.GetLeftPart(System.UriPartial.Authority) + Request.ApplicationPath + "/Recipe2106Browser.aspx";

	HttpWebRequest WebRequestObject = null;
	StreamReader sr = null;
	HttpWebResponse WebResponseObject = null;
	
	try{

		WebRequestObject = (HttpWebRequest) WebRequest.Create(RequestUrl);
		WebRequestObject.Method = "GET";
		
		WebRequestObject.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.0.3705)";

		WebResponseObject = (HttpWebResponse) WebRequestObject.GetResponse();
		sr = new StreamReader(WebResponseObject.GetResponseStream());
		
		String Results = sr.ReadToEnd();
		WebResponseLabel.Text = Results;
		WebResponseText.Text = Results;
	}
	finally{
		try{
			sr.Close();
		}
		catch{}
		
		try{
			WebResponseObject.Close();
			WebRequestObject.Abort();
		}
		catch{}
	}
}

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server" ID="Form1">
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Page Requiring Specific Browser Settings" OnClick="SubmitButton_Click" /><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
