<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="VB" runat="server">

Private Sub SubmitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
	Dim RequestUrl As String = "http://www.ebay.com"

	Dim WebRequestObject As HttpWebRequest
	Dim sr As StreamReader
	Dim WebResponseObject As HttpWebResponse
	
	Try
		WebRequestObject = CType(WebRequest.Create(RequestUrl), HttpWebRequest)
		WebRequestObject.Method = "GET"

		WebResponseObject = CType(WebRequestObject.GetResponse(), HttpWebResponse)
		
		Dim i As Integer
		HeadersText.Text = ""
		For i = 0 to WebResponseObject.Headers.Count-1
			HeadersText.Text &= ControlChars.Cr & "Header Name: " & WebResponseObject.Headers.Keys(i) & "   Value :" & WebResponseObject.Headers(i)
		Next
		
		Dim myCookieCollection As CookieCollection = WebResponseObject.Cookies
		For i = 0 To myCookieCollection.Count - 1
			HeadersText.Text &= ControlChars.Cr & "Cookie Name: " & myCookieCollection(i).Name & "   Value= " & myCookieCollection(i).Value
		Next i

		sr = New StreamReader(WebResponseObject.GetResponseStream)

		Dim Results as string = sr.ReadToEnd
		WebResponseLabel.Text = Results
		WebResponseText.Text = Results
	Finally
		Try
			sr.Close()
		Catch
		End Try
		
		Try
			WebResponseObject.Close()
			WebRequestObject.Abort()
		Catch
		End Try
	End Try
End Sub

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server">
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Headers and Cookies" OnClick="SubmitButton_Click" /><br>
			<asp:TextBox Runat="server" id="HeadersText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
