<%@ Page language="c#" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<%@ Import Namespace="System.Drawing.Drawing2D" %>
<%@ Import Namespace="System.Drawing.Text" %>
<script runat="server">

		private void Page_Load(object sender, System.EventArgs e)
		{

			//create a new bitmap image
			Bitmap OutputBitmap = new Bitmap(320,200);
			Graphics DrawGraphic = Graphics.FromImage(OutputBitmap);

			//blank the bitmap
			DrawGraphic.Clear(Color.Beige);
			
			//set smoothing
			DrawGraphic.SmoothingMode = SmoothingMode.AntiAlias;
			DrawGraphic.TextRenderingHint = TextRenderingHint.AntiAlias;

			//create message string
			String MessageString = System.DateTime.Now.ToString();

			//draw string on graphic
			DrawGraphic.DrawString(MessageString, 
				new Font("arial",18,FontStyle.Bold),
				Brushes.DarkBlue, new PointF(20,20));

			// set the mime type
			Response.Clear();
			Response.ContentType="image/jpeg";

			// send the image to the viewer
			OutputBitmap.Save(Response.OutputStream, ImageFormat.Jpeg);

			// clean up
			OutputBitmap.Dispose();
			DrawGraphic.Dispose();
		}

</script>
