<%@ Page Language="vb" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="System.Drawing.Drawing2D" %>
<%@ Import Namespace="System.Drawing.Imaging" %>
<script language="vb" runat="server">
Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
	If Request.QueryString("action") = "blur" Then
		BlurImage()
	ElseIf Request.QueryString("action") = "sharpen" Then
		SharpenImage()
	Else
		Response.Write("Add ?action=blur to url to see blurred image.  Add ?action=sharpen to sharpen image.")
	End If
End Sub		  'Page_Load

Private Sub BlurImage()
	Dim outputBitmap As New Bitmap(Server.MapPath("Recipe2208.jpg"))
	Dim repetitions As Integer = 5
	Dim red As Integer = 0
	Dim green As Integer = 0
	Dim blue As Integer = 0

	Dim i As Integer
	For i = 0 To repetitions - 1
		Dim x As Integer
		For x = 1 To (outputBitmap.Width - 1) - 1
			Dim y As Integer
			For y = 1 To (outputBitmap.Height - 1) - 1
				red += outputBitmap.GetPixel(x, y - 1).R
				red += outputBitmap.GetPixel(x, y + 1).R
				red += outputBitmap.GetPixel(x, y).R
				red += outputBitmap.GetPixel(x + 1, y).R
				red += outputBitmap.GetPixel(x - 1, y).R
				red = red / 5

				green += outputBitmap.GetPixel(x, y - 1).G
				green += outputBitmap.GetPixel(x, y + 1).G
				green += outputBitmap.GetPixel(x, y).G
				green += outputBitmap.GetPixel(x + 1, y).G
				green += outputBitmap.GetPixel(x - 1, y).G
				green = green / 5

				blue += outputBitmap.GetPixel(x, y - 1).B
				blue += outputBitmap.GetPixel(x, y + 1).B
				blue += outputBitmap.GetPixel(x, y).B
				blue += outputBitmap.GetPixel(x + 1, y).B
				blue += outputBitmap.GetPixel(x - 1, y).B
				blue = blue / 5

				outputBitmap.SetPixel(x, y, Color.FromArgb(red, green, blue))

				red = 0
				green = 0
				blue = 0
			Next y
		Next x
	Next i

	Response.ContentType = "image/jpeg"
	outputBitmap.Save(Response.OutputStream, ImageFormat.Jpeg)
	outputBitmap.Dispose()
End Sub		  'BlurImage


Private Sub SharpenImage()
	Dim outputBitmap As New Bitmap(Server.MapPath("sample.jpg"))
	Dim repetitions As Integer = 1
	Dim red As Integer = 0
	Dim green As Integer = 0
	Dim blue As Integer = 0

	Dim i As Integer
	For i = 0 To repetitions - 1
		Dim x As Integer
		For x = 3 To (outputBitmap.Width - 3) - 1
			Dim y As Integer
			For y = 3 To (outputBitmap.Height - 3) - 1
				' red
				red += -1 * outputBitmap.GetPixel(x + 1, y + 1).R
				red += -2 * outputBitmap.GetPixel(x, y - 1).R
				red += -1 * outputBitmap.GetPixel(x + 1, y - 1).R
				red += -2 * outputBitmap.GetPixel(x - 1, y).R
				red += 16 * outputBitmap.GetPixel(x, y).R
				red += -2 * outputBitmap.GetPixel(x + 1, y).R
				red += -1 * outputBitmap.GetPixel(x - 1, y + 1).R
				red += -2 * outputBitmap.GetPixel(x, y + 1).R
				red += -1 * outputBitmap.GetPixel(x + 1, y + 1).R
				red = red / 4
				If red > 255 Then
					red = 255
				End If
				If red < 0 Then
					red = 0
				End If
				' green
				green += -1 * outputBitmap.GetPixel(x + 1, y + 1).G
				green += -2 * outputBitmap.GetPixel(x, y - 1).G
				green += -1 * outputBitmap.GetPixel(x + 1, y - 1).G
				green += -2 * outputBitmap.GetPixel(x - 1, y).G
				green += 16 * outputBitmap.GetPixel(x, y).G
				green += -2 * outputBitmap.GetPixel(x + 1, y).G
				green += -1 * outputBitmap.GetPixel(x - 1, y + 1).G
				green += -2 * outputBitmap.GetPixel(x, y + 1).G
				green += -1 * outputBitmap.GetPixel(x + 1, y + 1).G
				green = green / 4
				If green > 255 Then
					green = 255
				End If
				If green < 0 Then
					green = 0
				End If
				' blue
				blue += -1 * outputBitmap.GetPixel(x + 1, y + 1).B
				blue += -2 * outputBitmap.GetPixel(x, y - 1).B
				blue += -1 * outputBitmap.GetPixel(x + 1, y - 1).B
				blue += -2 * outputBitmap.GetPixel(x - 1, y).B
				blue += 16 * outputBitmap.GetPixel(x, y).B
				blue += -2 * outputBitmap.GetPixel(x + 1, y).B
				blue += -1 * outputBitmap.GetPixel(x - 1, y + 1).B
				blue += -2 * outputBitmap.GetPixel(x, y + 1).B
				blue += -1 * outputBitmap.GetPixel(x + 1, y + 1).B
				blue = blue / 4
				If blue > 255 Then
					blue = 255
				End If
				If blue < 0 Then
					blue = 0
				End If
				outputBitmap.SetPixel(x, y, Color.FromArgb(red, green, blue))

				red = 0
				green = 0
				blue = 0
			Next y
		Next x
	Next i

	Response.ContentType = "image/jpeg"
	outputBitmap.Save(Response.OutputStream, ImageFormat.Jpeg)
	outputBitmap.Dispose()
End Sub		  'SharpenImage
</script>
