<%@ Page language="VB" %>
<%@ Import Namespace="System.Text" %>
<%@ Import Namespace="System.Reflection" %>
<html>
	<head>
		<script language="VB" runat="server">
    Private Function GetAssemblyInfo() As String
      Dim sb As StringBuilder =  New StringBuilder() 
      Try
        Dim assemblyFile As String = "C:\Winnt\Microsoft.NET\Framework\v1.0.3705\mscorlib.dll" 
        Dim assemblyInfo As System.Reflection.Assembly = System.Reflection.Assembly.LoadFrom(assemblyFile) 
 
        sb.Append("CodeBase: ")
        sb.Append(assemblyInfo.CodeBase)
        sb.Append("<br>Location: ")
        sb.Append(assemblyInfo.Location)
        sb.Append("<br>FullName: ")
        sb.Append(assemblyInfo.FullName)
        sb.Append("<br>Manifest Resource Names: ")
 
        Dim resourceNames() As String = assemblyInfo.GetManifestResourceNames() 
        Dim i As Integer
        For  i = 0 To resourceNames.Length-1
          Dim name As String = resourceNames(i) 
          If i > 0 Then sb.Append(",")
          sb.Append(name)
        Next
 
        Dim types() As Type =  assemblyInfo.GetTypes() 
        Dim typeInfo As Type
        For Each typeInfo In types
          sb.Append("<h2>" + typeInfo.FullName + "</h2>")
          sb.Append("Number of Constructors: ")
          sb.Append(typeInfo.GetConstructors().Length.ToString())
          sb.Append("<br>Number of Properties: ")
          sb.Append(typeInfo.GetProperties().Length.ToString())
          sb.Append("<br>Number of Fields: ")
          sb.Append(typeInfo.GetFields().Length.ToString())
          sb.Append("<br>Number of Events: ")
          sb.Append(typeInfo.GetEvents().Length.ToString())
          sb.Append("<br>Number of Methods: ")
          sb.Append(typeInfo.GetMethods().Length.ToString())
          sb.Append("<br>Is Class: ")
          sb.Append(typeInfo.IsClass)
          sb.Append("<br>Is Interface: ")
          sb.Append(typeInfo.IsInterface)
          sb.Append("<br>Is Enum: ")
          sb.Append(typeInfo.IsEnum)
          sb.Append("<br>Attributes: ")
          sb.Append(typeInfo.Attributes)
          sb.Append("<br>GUID: ")
          sb.Append(typeInfo.GUID.ToString())
        Next
      Catch ex As Exception
        sb.Append("Error: " + ex.ToString()) 
      End Try
 
      Return sb.ToString()
    End Function
 
    Private  Sub RetrieveInfo_Click(ByVal sender As Object, ByVal e As System.EventArgs)
      OutputClass.Text = GetAssemblyInfo()
    End Sub
		</script>
		<title>Reflect Class</title>
	</head>
	<body>
		<form id="ReflectClass" method="post" runat="server">
			<asp:button id="RetrieveInfo" onclick="RetrieveInfo_Click" runat="server" Text=" Retrieve Assembly Info "></asp:button>
			<br>
			<br>
			<asp:label id="OutputClass" runat="server"></asp:label>
		</form>
	</body>
</html>
