<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>

<script language="C#" runat="server">

private void SubmitButton_Click(System.Object sender, System.EventArgs e){
	Response.Redirect("Recipe0104asp.asp?Price=" + Price.Text + "&Quantity=" + Quantity.Text);
}

private void WebRequestButton_Click(System.Object sender, System.EventArgs e){
	String RequestUrl = Request.Url.GetLeftPart(System.UriPartial.Authority) + Request.ApplicationPath + "/Recipe0104asp.asp";
	String Post = "Price=" + Price.Text + "&Quantity=" + Quantity.Text;
	StreamWriter Writer = null;
	
	HttpWebRequest WebRequestObject = null;
	StreamReader sr = null;
	HttpWebResponse WebResponseObject = null;
	
	try{
		WebRequestObject = (HttpWebRequest) WebRequest.Create(RequestUrl);
		WebRequestObject.Method = "POST";
		WebRequestObject.ContentType = "application/x-www-form-urlencoded";
		WebRequestObject.ContentLength = Post.Length;
		Writer = new StreamWriter(WebRequestObject.GetRequestStream());
		Writer.Write(Post);
		Writer.Close();

		WebResponseObject = (HttpWebResponse) WebRequestObject.GetResponse();
		sr = new StreamReader(WebResponseObject.GetResponseStream());
		
		WebResponseLabel.Text = sr.ReadToEnd();
	}
	finally{
		try{
			sr.Close();
		}
		catch{}
		
		try{
			WebResponseObject.Close();
			WebRequestObject.Abort();
		}
		catch{}
	}
}

</script> 

<html>

<head> 
	<title></title> 
</head> 

<body> 
	<form runat="server">
		Price: <asp:TextBox Runat="server" ID="Price" Text="22.50" /><br>
		Quantity: <asp:TextBox Runat="server" ID="Quantity" Text="4" /><br>
		<asp:Button Runat="server" ID="SubmitButton" Text="Postback and Redirect" OnClick="SubmitButton_Click"/><br>
		
		<asp:Button Runat="server" ID="WebRequestButton" Text="Submit by Web Request" OnClick="WebRequestButton_Click"/>
		<asp:Label Runat="server" ID="WebResponseLabel"/>
	</form>
	
	<form method="post" action="Recipe0104asp.asp">
		Price: <Input type="text" name="Price" value="22.50" /><br>
		Quantity: <Input type="text" name="Quantity" value="4" /><br>
		<Input type="submit" value="Submit Entire Form" />
	</form>

</body>

</html>