<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>

<script language="VB" runat="server">

Private Sub SubmitButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
	Response.Redirect("Recipe0104asp.asp?Price=" & Price.Text & "&Quantity=" & Quantity.Text)
End Sub

Private Sub WebRequestButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
	Dim RequestUrl As String = Request.Url.GetLeftPart(System.UriPartial.Authority) & Request.ApplicationPath & "/Recipe0104asp.asp"
	Dim Post As String = "Price=" & Price.Text & "&Quantity=" & Quantity.Text
	Dim Writer As StreamWriter = Nothing
	
	Dim WebRequestObject As HttpWebRequest
	Dim sr As StreamReader
	Dim WebResponseObject As HttpWebResponse
	
	Try
		WebRequestObject = CType(WebRequest.Create(RequestUrl), HttpWebRequest)
		WebRequestObject.Method = "POST"
		WebRequestObject.ContentType = "application/x-www-form-urlencoded"
		WebRequestObject.ContentLength = Post.Length
		Writer = New StreamWriter(WebRequestObject.GetRequestStream())
		Writer.Write(Post)
		Writer.Close()

		WebResponseObject = CType(WebRequestObject.GetResponse(), HttpWebResponse)
		sr = New StreamReader(WebResponseObject.GetResponseStream)

		WebResponseLabel.Text = sr.ReadToEnd
	Finally
		Try
			sr.Close()
		Catch
		End Try
		
		Try
			WebResponseObject.Close()
			WebRequestObject.Abort()
		Catch
		End Try
	End Try
End Sub

</script> 

<html>

<head> 
	<title></title> 
</head> 

<body> 
	<form runat="server">
		Price: <asp:TextBox Runat="server" ID="Price" Text="22.50" /><br>
		Quantity: <asp:TextBox Runat="server" ID="Quantity" Text="4" /><br>
		<asp:Button Runat="server" ID="SubmitButton" Text="Postback and Redirect" OnClick="SubmitButton_Click"/><br>
		
		<asp:Button Runat="server" ID="WebRequestButton" Text="Submit by Web Request" OnClick="WebRequestButton_Click"/>
		<asp:Label Runat="server" ID="WebResponseLabel"/>
	</form>
	
	<form method="post" action="Recipe0104asp.asp">
		Price: <Input type="text" name="Price" value="22.50" /><br>
		Quantity: <Input type="text" name="Quantity" value="4" /><br>
		<Input type="submit" value="Submit Entire Form" />
	</form>

</body>

</html>