<%@ Page %>
<script language="VB" runat="server">
Protected WithEvents ColorDropDownList As DropDownList

Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
    ' Instantiate the control
    ColorDropDownList = New DropDownList()
    ' Add an item using a string
    ColorDropDownList.Items.Add("Blue")
    ' Add an instance of a ListItem constructed with a string
    ColorDropDownList.Items.Add(New ListItem("Green"))
    ' Add an instance of a ListItem constructed with a text and a value
    ColorDropDownList.Items.Add(New ListItem("Red", "Red"))
    ' Add a blank item to the top of the list
    ColorDropDownList.Items.Insert(0, New ListItem(""))
    ' Set the selected item
    ColorDropDownList.Items(0).Selected = True
    ' Add the control to a PlaceHolder on the page
    PlaceHolder1.Controls.Add(ColorDropDownList)
End Sub
</script>
<html>
	<head>
		<title>Recipe 1.09</title>
	</head>
	<body>
		<form runat="server">
			<asp:PlaceHolder id="PlaceHolder1" runat="server"></asp:PlaceHolder>
		</form>
	</body>
</html>
