<%@ Page Language="C#" ClassName="Recipe1006cs" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.SqlClient" %>
<%@ import Namespace="Microsoft.ApplicationBlocks.Data" %>
<script runat="server">

    void Page_Load(Object sender, EventArgs e)
    {
        //object vars
        DataSet dataSet;
    
        //parameter value variables
        String beginningDate = "1/1/1996";
        String endingDate    = "12/31/1996";
    
        try
        {
            String connectionString = "Integrated Security=yes;Initial Catalog=Northwind;Data Source=(local)";
    
            // call SP using a SqlParameter array
            SqlParameter[] arParams = new SqlParameter[2];
    
            arParams[0] = new SqlParameter("@Beginning_Date", beginningDate);
            arParams[1] = new SqlParameter("@Ending_Date", endingDate);
    
            dataSet = SqlHelper.ExecuteDataset(connectionString, CommandType.StoredProcedure, "Employee Sales by Country", arParams);
            //bind to the DataGrid
            dataGrid.DataSource = dataSet;
    
            //bind the Page's data
            DataBind();
        }
        catch( Exception exception )
        {
            lblErrorMsg.Text = exception.ToString();
        }
    }

</script>
<html>
<head>
    <title>Recipe1006cs</title>
</head>
<body>
    <form id="Recipe1006" method="post" runat="server">
        <asp:DataGrid id="dataGrid" style="Z-INDEX: 101; LEFT: 9px; POSITION: absolute; TOP: 8px" runat="server" BorderColor="#CC9966" BorderStyle="None" BorderWidth="1px" BackColor="White" CellPadding="4">
            <selecteditemstyle font-bold="True" forecolor="#663399" backcolor="#FFCC66"></SelectedItemStyle>
            <itemstyle forecolor="#330099" backcolor="White"></ItemStyle>
            <headerstyle font-bold="True" forecolor="#FFFFCC" backcolor="#990000"></HeaderStyle>
            <footerstyle forecolor="#330099" backcolor="#FFFFCC"></FooterStyle>
            <pagerstyle horizontalalign="Center" forecolor="#330099" backcolor="#FFFFCC"></PagerStyle>
        </asp:DataGrid>
        <asp:Label id="lblErrorMsg" style="Z-INDEX: 102; LEFT: 14px; POSITION: absolute; TOP: 187px" runat="server" Width="327px" Height="111px"></asp:Label>
    </form>
</body>
</html>
