<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.OleDb" %>
<%@ Page Language="VB" %>
<script runat="server">

    Public Sub Page_Load(Source As Object, E As EventArgs)
    
        Dim ConnectionString As String
        ConnectionString = "Provider=Microsoft.Jet.OleDb.4.0;Data Source=" & Server.MapPath("Northwind.mdb") & ";"
    
        Dim QuerySQL As String
        QuerySQL = "SELECT ShipperID, CompanyName, Phone FROM Shippers"
    
        Dim objConn As New OleDbConnection(ConnectionString)
        Dim objCmd As OleDbCommand
    
        objCmd = New OleDbCommand
        objCmd.CommandText = QuerySQL
        objCmd.Connection = objConn
    
        Try
            objConn.Open()
    
            dg1.DataSource = objCmd.ExecuteReader()
            dg1.DataBind()
    
        Catch Err As Exception
            ltlError.Text = Err.ToString()
    
        Finally
            objConn.Close()
    
        End Try
    
    End Sub

</script>
<html>
	<head>
		<title>Connecting to Microsoft Access Database</title>
	</head>
	<body>
		<form runat="server">
			<h3>Connecting to Microsoft Access Database
			</h3>
			<h3>
				<asp:DataGrid id="dg1" runat="server"></asp:DataGrid>
			</h3>
			<p>
				<asp:Literal id="ltlError" runat="server"></asp:Literal>
			</p>
		</form>
	</body>
</html>
