<%@ Page Language="VB" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.Data.OleDb" %>
<script runat="server">

    Sub Page_Load(Sender As Object, E As EventArgs)
    
    
        Dim ConnectionString As String = "Provider=Microsoft.Jet.OleDb.4.0;Data Source=" & Server.MapPath("Northwind.mdb") & ";"
    
        'Name of the query object in Microsoft Access
        Dim CommandText As String = "[Current Product List]"
    
        Dim _Connection As New OleDbConnection(ConnectionString)
        Dim _Command As New OleDbCommand(CommandText, _Connection)
    
        'Set the command type property to stored procedure
        _Command.CommandType = CommandType.StoredProcedure
    
        Try
            _Connection.Open()
            DataGrid1.DataSource = _Command.ExecuteReader(CommandBehavior.CloseConnection)
            DataGrid1.DataBind()
    
        Catch Err As Exception
            ErrorLiteralControl.Text = Err.ToString()

	Finally
	    _Connection.Close()

        End Try
    
    End Sub

</script>
<html>
<head>
<title>Invoking the Query Object in Microsoft Access</title>
</head>
<body style="FONT-FAMILY: arial">
    <h2>Simple&nbsp;Query Object in Microsoft Access
    </h2>
    <hr size="1" />
    <form runat="server">
        <p>
            <asp:datagrid id="DataGrid1" runat="server" EnableViewState="False" ForeColor="Black" BackColor="White" CellPadding="3" GridLines="None" CellSpacing="1">
                <HeaderStyle font-bold="True" forecolor="white" backcolor="#4A3C8C"></HeaderStyle>
                <ItemStyle backcolor="#DEDFDE"></ItemStyle>
            </asp:datagrid>
        </p>
        <p>
            <asp:Literal id="ErrorLiteralControl" runat="server" EnableViewState="false"></asp:Literal>
        </p>
    </form>
</body>
</html>
