<%@ import Namespace="System.Data.SqlClient" %>
<%@ import Namespace="System.Data" %>
<%@ Page Language="VB" ClassName="Recipe1205vb" %>
<script runat="server">
    Sub Page_Load(sender As Object, e As EventArgs)
        'object vars
        Dim sqlConnection As SqlConnection
        Dim sqlDataAdapter As SqlDataAdapter
        Dim sqlCommand As SqlCommand
        Dim dataSet As DataSet
		Dim dataTable As DataTable
		
		If IsPostback Then
			Try
				sqlConnection = New SqlConnection("Integrated Security=yes;Initial Catalog=Northwind;Data Source=(local)")
	    
				'pass the stored proc name and SqlConnection
				sqlCommand = New SqlCommand("Select * From Customers", sqlConnection)
	    
				'instantiate SqlAdapter and DataSet
				sqlDataAdapter = New SqlDataAdapter(sqlCommand)
				dataSet = New DataSet()
	    
				'populate the DataSet
				sqlDataAdapter.Fill(dataSet, "Customers")
	    
				'create and populate a DataColumn to set the PrimaryKey
				Dim pkColumn(1) as DataColumn 
				pkColumn(0) = dataSet.Tables(0).Columns("CustomerID")
				'set the primary key to the CustomerID column
				dataSet.Tables(0).PrimaryKey = pkColumn

				'find a row based on the value entered in the textbox
				Dim rowFound as DataRow = dataSet.Tables(0).Rows.Find(customerIdTextBox.Text)
				
				If rowFound Is Nothing Then
					'display message if we count find anything
					msgLabel.Text = "The Customer ID entered was not found."
				Else
					'display some info from the DataRow that we found...
					'use a StringBuilder to concatenate strings more efficient
					Dim stringBuilder as New StringBuilder("Contact ")
					'append strings and data to build output
					stringBuilder.Append(rowFound("ContactName").ToString())
					stringBuilder.Append(", ")
					stringBuilder.Append(rowFound("ContactTitle").ToString())
					stringBuilder.Append(" at ")
					stringBuilder.Append(rowFound("CompanyName").ToString())
					'output to label
					msgLabel.Text = stringBuilder.ToString()
				End If
	    
			Catch exception As Exception
				msgLabel.Text = exception.ToString()
	    
			End Try
		End If
    End Sub
</script>
<HTML>
	<HEAD>
		<title>Finding a Particular Row in a DataSet</title>
	</HEAD>
	<body>
		<form id="Recipe1107" method="post" runat="server">
			<asp:label id="customerIdLabel" runat="server">Customer ID:</asp:label><asp:textbox id="customerIdTextBox" runat="server"></asp:textbox><asp:button id="findButton" runat="server" Text="Find"></asp:button><br>
			<asp:label id="msgLabel" runat="server" Height="111px" Width="327px" ForeColor="#0000C0"></asp:label></form>
	</body>
</HTML>
