<%@ Import Namespace="System" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.XPath" %>
<%@ Page Language="C#" %>

<script runat="server">

    //Insert page code here
    //
    private void Page_Load(Object Source, EventArgs E)
    {
        StringBuilder sb = new StringBuilder();
        String space2 = "&nbsp;&nbsp;";
        String space3 = "&nbsp;&nbsp;&nbsp;";
    
        //Create an XmlDocument object and load the xml file...
        XmlDocument _XmlDoc = new XmlDocument();
        _XmlDoc.Load(Server.MapPath("users.xml"));
    
        //Create an XPathNavigator object for the loaded document...
        XPathNavigator _Nav;
        _Nav = _XmlDoc.CreateNavigator();
    
        //Move to the root element...
        _Nav.MoveToRoot();
        sb.Append("<B>Root: </B>");
        sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString());
        sb.Append("<BR/><BR/>");
        
        //Move to first child element :: Users...
        _Nav.MoveToFirstChild();
        sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString());
        sb.Append("<BR/>");
        
        //Move to first child element :: User...
        _Nav.MoveToFirstChild();
        
        do 
        {
            sb.Append(space2);
            sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString());
            sb.Append("<BR/>");
        
            //Get Attributes...
            _Nav.MoveToFirstAttribute();
            sb.Append(space2);
            sb.Append("Attribute: " + _Nav.Name + "=" + _Nav.Value);
            sb.Append("<BR/>");
        
            //Bring the navigator back to attribute parent
            _Nav.MoveToParent();
        
            //Move to first child element :: Username...
            _Nav.MoveToFirstChild();
        
            do
            {
                sb.Append(space3);
                sb.Append("name=" + _Nav.Name + ", type=" + _Nav.NodeType.ToString() + ", value=" + _Nav.Value);
                sb.Append("<BR/>");
            }while(_Nav.MoveToNext());
        
            _Nav.MoveToParent();
         }while(_Nav.MoveToNext());
        
        OutputLiteral.Text = sb.ToString();
    }        
    
</script>

<html>
<head>
<title>Using the XPathNavigator for Navigating Xml Documents</title>
</head>
<body>
    <form runat="server">
        <!-- Insert content here -->
        <asp:Literal id="OutputLiteral" runat="server"></asp:Literal>
    </form>
</body>
</html>
