Namespace AspNetCookbook.Recipe1405vb
    Public Interface IPrintable
        Function Print() As String
    End Interface

    Public Class User
        Implements IPrintable
        Private _username As String = "Default user"

        Public Property Username() As String
            Get
                Return _username
            End Get
            Set(ByVal Value As String)
                _username = Value
            End Set
        End Property

        Public Function Print() As String Implements IPrintable.Print
            Return Username
        End Function
    End Class

    Public Class Widget
        Implements IPrintable

        Public Function Print() As String Implements IPrintable.Print
            Return Me.ToString()
        End Function
    End Class
End Namespace