' <summary>
' Demonstration class
'	 
' The public interface of the class will exist of:
'       - member variable : name
'       - member function : constructor
'       - member function : CheckPassword
'   
' The part of the class hidden for the user and derived classes is:
'       - member variable : _password
'   			
' The part accessible for derived classes:
'       - member variable : _encryptionKey
'       - member function : EncryptPassword
'   
' </summary>

Public Class MyVBClass
    ' Public member variable : can be accessed when an intance of this class has been created
    Public name As String

    ' Private member: only accessible inside this class
    Private _password As String

    ' Protected member: this can be accessed from within this class and from all derived classes
    Protected _encryptionKey As String  ' This and derived classes should know how to decrypt the password !

    ' Public class constructor
    Public Sub MyVBClass()

    End Sub

    ' Protected member function : this happens internally without the user of the class knows it
    Protected Function EncryptPassword(ByVal password As String) As String
        EncryptPassword = password
    End Function

    ' Public password validation routine.  The password is private, but this routine allows password validation
    Public Function CheckPassword(ByVal str As String) As Boolean
        If EncryptPassword(str) = _password Then
            CheckPassword = True
        Else
            CheckPassword = False
        End If
    End Function




End Class
