<%@ Page language="C#" %>
<%@ Import Namespace="System.Text.RegularExpressions" %>
<html>
	<head>
		<script language="C#" runat="server">

    private int CountStrings(string searchString, string regexString)
    {
      Regex regex = new Regex(regexString);
      return regex.Matches(searchString).Count;
    }

    private void CountString_Click(object sender, System.EventArgs e)
    {
      Output.Text = CountStrings(SearchString.Text, FindString.Text).ToString();
    }
		</script>
		<title>Count Strings</title>
	</head>
	<body>
		<form id="StringCounter" method="post" runat="server">
			<p>
				<table id="Table1" cellSpacing="1" cellPadding="1">
					<tr>
						<td>
							<p>
								<asp:TextBox id="SearchString" width="550" rows="3" TextMode="MultiLine" wrap="true" runat="server">Any intelligent fool can make things bigger, more complex, and more violent. It takes a touch of genius to move in the opposite direction. E. F. Schumacher</asp:TextBox><br />
								<asp:TextBox id="FindString" runat="server">more</asp:TextBox>
							</p>
							<p>
								<asp:Button id="CountString" runat="server" Text="Count Occurances of String" OnClick="CountString_Click"></asp:Button></p>
						</td>
					</tr>
					<tr>
						<td colspan="2">&nbsp;</td>
					</tr>
					<tr>
						<td>
							<p>
								<asp:Label id="Output" runat="server"></asp:Label></p>
						</td>
					</tr>
				</table>
			</p>
		</form>
	</body>
</html>
