<%@ Page Language="C#" %>
<script runat="server">

    private void Page_Load(object sender, System.EventArgs e)
    		{
    			Result.Text = "";
    			CCType.Text = "";
    		}
    
    		void ValidateCC(object Sender, EventArgs e)
    		{
    			string ccText = CCNo.Text;	//-- the credit card number that the user entered		
    			int indicator = 1;		//-- will be indicator for every other number
    			int firstNumToAdd = 0;  //-- will be used to store sum of first set of numbers
    			int secondNumToAdd = 0; //-- will be used to store second set of numbers
    			string num1;	//-- will be used if every other number added is greater than 10, store the left-most integer here
    			string num2;	//-- will be used if ever yother number added is greater than 10, store the right-most integer here
    			
    			//-- Convert our ccText string to a char array
    			char[] ccArr = ccText.ToCharArray();
    
    			for (int i=ccArr.Length-1;i>=0;i--)
    			{
    				char ccNoAdd = ccArr[i];
    				int ccAdd = Int32.Parse(ccNoAdd.ToString());
    				if (indicator == 1)
    				{
    					//-- If we are on the odd number of numbers, add that number to our total
    					firstNumToAdd += ccAdd;
    					//-- set our indicator to 0 so that our code will know to skip to the next piece
    					indicator = 0;
    				}
    				else
    				{
    					//-- if the current integer doubled is greater than 10
    					//-- split the sum in to two integers and add them together
    					//-- we then add it to our total here
    					if ((ccAdd + ccAdd) >= 10)
    					{
    						int temporary = (ccAdd + ccAdd);
    						num1 = temporary.ToString().Substring(0,1);
    						num2 = temporary.ToString().Substring(1,1);
    						secondNumToAdd += (Int32.Parse(num1) + Int32.Parse(num2));
    					}
    					else
    					{
    						//-- otherwise, just add them together and add them to our total
    						secondNumToAdd += ccAdd + ccAdd;
    					}
    					//-- set our indicator to 1 so for the next integer we will perform a different set of code
    					indicator = 1;
    				}
    			}
    			//-- If the sum of our 2 numbers is divisible by 10, then the card is valid. Otherwise, it is not
    			if ((firstNumToAdd + secondNumToAdd) % 10 == 0)
    			{
    				Result.Text = "This Card Is Valid";
    				CCType.Text = RetrieveCCType(ccText);
    				
    			}
    			else
    			{
    				Result.Text = "This Card Is Invalid";
    			}
    		}
    
    		string RetrieveCCType(string CCNum)
    		{
    			string ccText = System.String.Empty;
    			if (Int32.Parse(CCNum.Substring(0,2)) >= 51 && Int32.Parse(CCNum.Substring(0,2)) <= 55)
    			{
    				return "This card is a Master Card.";
    			}
    			if (Convert.ToString(CCNum.Substring(0,1)) == "4")
    			{
    				return "This card is a Visa.";
    			}
    			if (Convert.ToString(CCNum.Substring(0,2)) == "34" || Convert.ToString(CCNum.Substring(0,2)) == "37")
    			{
    				return "This card is an American Express.";
    			}
    			if (Convert.ToString(CCNum.Substring(0,4)) == "6011")
    			{
    				return "This card is a Discover card.";
    			}
   				return "This is an unknown credit card.";
    		}

</script>
<html>
	<head>
	</head>
	<body>
		<form runat="server">
			<asp:TextBox id="CCNo" Runat="server"></asp:TextBox>
			<asp:Button id="Button1" onclick="ValidateCC" Runat="server" Text="Validate"></asp:Button>
			<br />
			<asp:Label id="Result" Runat="server"></asp:Label>
			<p>
				<asp:Label id="CCType" Runat="server"></asp:Label>
			</p>
		</form>
	</body>
</html>
