<%@ Page Language="VB" %>
<%@ Import Namespace="System.IO" %>
<script language="VB" runat="server">
  Protected Sub Page_Load(Sender As Object, e As EventArgs)
    Line.Text = GetLineFromFile(Server.MapPath("starwarquotes.txt"), 15)
  End Sub

  Public Function GetLineFromFile(ByVal filename As String, ByVal lineNumber As Integer) As String
    Dim result As String =  String.Empty 
    Dim sr As StreamReader =  Nothing 
    Try
      Dim lineCount As Integer =  1 
      sr = File.OpenText(filename)
      Dim str As String =  sr.ReadLine() 
      While Not str Is Nothing
        If lineCount = lineNumber Then
          result = str
          Exit While
        End If
        str = sr.ReadLine()
        lineCount = lineCount + 1
      End While
      If lineNumber > lineCount Then
        result = "You entered a line number greater than the number of lines in the file."
      End If
    Catch ex As Exception
      result = ex.Message
    Finally
      If Not sr Is Nothing Then
         sr.Close()
      End If
    End Try

    Return result
  End Function

</script>
<html>
	<body>
		<form runat="server">
			<asp:Label id="Line" runat="server" />
		</form>
	</body>
</html>
