<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>
<%@ Page Language="VB" %>
<script runat="server">
    Public Sub Page_Load(Source As Object, E As EventArgs)
        MessageLiteral.Text = ""
    End Sub
    
    Public Sub DeleteFile(Source As Object, E As EventArgs)
       'Create an instance of FileInfo class
        Dim fileSource As New FileInfo(FileNameTextBox.Text)

       'Delete the file if it exists 
		Try
	        If fileSource.Exists Then
	            'fileSource.Delete() uncomment to activate
	            MessageLiteral.Text = "File has been deleted."
	        Else
	            MessageLiteral.Text = FileNameTextBox.Text & " does not exist."
	        End If

		Catch _Error As Exception
			MessageLiteral.Text = _Error.Message

		End Try

    End Sub
</script>
<html>
	<head>
		<title>Deleting a File</title>
	</head>
	<body>
		<form runat="server">
			<h4>Type Path/Name of file to delete it (disabled for live demo)
			</h4>
			<p>
				<asp:TextBox id="FileNameTextBox" runat="server"></asp:TextBox>
				&nbsp;<asp:Button id="DeleteFileButton" onclick="DeleteFile" runat="server" Text="Delete File"></asp:Button>
			</p>
			<p>
				<asp:Literal id="MessageLiteral" runat="server"></asp:Literal>
			</p>
		</form>
	</body>
</html>
