<%@ Page Language="C#" %>
<script runat="server">
String RetrieveRandomLine(String FileName) 
{
	System.IO.StreamReader ObjectStreamReader = null;
	ArrayList FileLines = new ArrayList();
	int CurrentLineNumber;
	int RandomNumber;
	Random rnd = new Random();
	CurrentLineNumber = 0;

	try 
	{
		ObjectStreamReader = new System.IO.StreamReader (FileName);
		while (ObjectStreamReader.Peek() > -1) 
		{
			FileLines.Add(ObjectStreamReader.ReadLine());
			++CurrentLineNumber;
		}
		RandomNumber = rnd.Next(FileLines.Count);
		return(FileLines[RandomNumber].ToString());
	} 
	catch (Exception e) 
	{
			return e.Message;
	} 
	finally 
	{
		if (ObjectStreamReader != null) 
		{
	                ObjectStreamReader.Close();
		}
	}
}

private void Page_Load(object sender, System.EventArgs e) 
{
	string MyFileName;
	MyFileName = Page.MapPath("starwarquotes.txt");
	RandomQuotation.Text = RetrieveRandomLine(MyFileName);
			
}
</script>
<html>
	<head>
	</head>
	<body>
		<asp:Literal id="RandomQuotation" runat="server"></asp:Literal></body>
</html>
