<%@ Page Language="VB" %>
<script runat="server">
Function RetrieveRandomLine(FileName as String)
	Dim ObjectStreamReader as System.IO.StreamReader
	Dim FileLines as New ArrayList()
	Dim RandomNumber as Integer
	Randomize
	Try
		ObjectStreamReader = New System.IO.StreamReader(FileName)
		While ObjectStreamReader.Peek() > -1
			FileLines.Add(ObjectStreamReader.ReadLine())
		End While
		RandomNumber = Int(FileLines.Count * Rnd()) 
		RetrieveRandomLine = FileLines(RandomNumber).ToString()
	Catch ObjectError as Exception
		RetrieveRandomLine = ObjectError.Message
	Finally
		If Not ObjectStreamReader Is nothing Then
			ObjectStreamReader.Close()
			ObjectStreamReader = nothing
		End If
	End Try
End Function

Sub Page_Load (Sender As Object, E As EventArgs)
	Dim MyFileName as String
	MyFileName = Page.MapPath("starwarquotes.txt")
	RandomQuotation.Text = RetrieveRandomLine(MyFileName)
End Sub
</script>
<html>
	<head>
	</head>
	<body>
		<asp:Literal id="RandomQuotation" runat="server"></asp:Literal></body>
</html>
