<%@ WebService Language="vb" Class="AspNetCookbook.Recipe1904vb" %>
Imports System
Imports System.Web.Services
Imports System.IO
Namespace AspNetCookbook
  <WebService(Namespace:="http://www.aspalliance.com/webservices/public/images/")> _
  Public Class Recipe1904vb
    Inherits System.Web.Services.WebService

    <WebMethod(Description:="Get an Image using Base64 Encoding")> Public Function GetImage() As Byte()
      Return getBinaryFile(Server.MapPath("aspalliance_logo.gif"))
    End Function 'GetImage

    Public Function getBinaryFile(ByVal filename As String) As Byte()
      If File.Exists(filename) Then
        Try
          Dim s As FileStream = File.OpenRead(filename)
          Return ConvertStreamToByteBuffer(s)
        Catch e As Exception
          Return New Byte(0) {}
        End Try
      Else
        Return New Byte(0) {}
      End If
    End Function 'getBinaryFile

    Public Function ConvertStreamToByteBuffer(ByVal theStream As System.IO.Stream) As Byte()
      Dim bytes(theStream.Length) As Byte
      theStream.Read(bytes, CInt(0), CInt(theStream.Length))
      Return bytes
    End Function 'CStreamToByte

  End Class
End Namespace