<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="C#" runat="server">

private void SubmitButton_Click(System.Object sender, System.EventArgs e){
	String RequestUrl = "http://www.amazon.com/exec/obidos/search-handle-form";
	String Post = "field-keywords=" + SearchText.Text;
	StreamWriter Writer = null;

	HttpWebRequest WebRequestObject = null;
	StreamReader sr = null;
	HttpWebResponse WebResponseObject = null;
	
	try{

		WebRequestObject = (HttpWebRequest) WebRequest.Create(RequestUrl);
		WebRequestObject.Method = "POST";
		WebRequestObject.ContentType = "application/x-www-form-urlencoded";
		WebRequestObject.ContentLength = Post.Length;
		Writer = new StreamWriter(WebRequestObject.GetRequestStream());
		Writer.Write(Post);
		Writer.Close();

		WebResponseObject = (HttpWebResponse) WebRequestObject.GetResponse();
		sr = new StreamReader(WebResponseObject.GetResponseStream());
		
		String Results = sr.ReadToEnd();
		WebResponseLabel.Text = Results;
		WebResponseText.Text = Results;
	}
	finally{
		try{
			sr.Close();
		}
		catch{}
		
		try{
			WebResponseObject.Close();
			WebRequestObject.Abort();
		}
		catch{}
	}
}

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server" ID="Form1">
			Search Amazon for:
			<asp:TextBox Runat="server" ID="SearchText" Text="asp.net cookbook" />
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Amazon.com Search Results" OnClick="SubmitButton_Click" /><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" />
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
