<%@ Page %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Net" %>
<script language="C#" runat="server">

private void SubmitButton_Click(System.Object sender, System.EventArgs e){
	String RequestUrl = "http://www.ebay.com";

	HttpWebRequest WebRequestObject = null;
	StreamReader sr = null;
	HttpWebResponse WebResponseObject = null;
	
	try{

		WebRequestObject = (HttpWebRequest) WebRequest.Create(RequestUrl);
		WebRequestObject.Method = "GET";
		
		WebResponseObject = (HttpWebResponse) WebRequestObject.GetResponse();
		
		int i;
		HeadersText.Text = "";
		for(i=0; i < WebResponseObject.Headers.Count; i++){
			HeadersText.Text += Environment.NewLine + "Header Name: " + WebResponseObject.Headers.Keys[i] + "   Value :" + WebResponseObject.Headers[i];
		}
		
		CookieCollection myCookieCollection = WebResponseObject.Cookies;
		for(i=0; i < myCookieCollection.Count; i++){
			HeadersText.Text += Environment.NewLine + "Cookie Name: " + myCookieCollection[i].Name + "   Value= " + myCookieCollection[i].Value;
		}

		sr = new StreamReader(WebResponseObject.GetResponseStream());
		
		String Results = sr.ReadToEnd();
		WebResponseLabel.Text = Results;
		WebResponseText.Text = Results;
	}
	finally{
		try{
			sr.Close();
		}
		catch{}
		
		try{
			WebResponseObject.Close();
			WebRequestObject.Abort();
		}
		catch{}
	}
}

</script>
<html>
	<head>
		<title></title>
	</head>
	<body>
		<form runat="server" ID="Form1">
			<asp:Button Runat="server" ID="SubmitButton" Text="Get Headers and Cookies" OnClick="SubmitButton_Click" /><br>
			<asp:TextBox Runat="server" id="HeadersText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:TextBox Runat="server" id="WebResponseText" Width="780" Height="300" TextMode="MultiLine" /><br>
			<asp:Label Runat="server" ID="WebResponseLabel" />
		</form>
	</body>
</html>
