<%@ Import Namespace="System.Web.Mail" %>
<%@ Page Language="C#" %>
<Script Runat="server">

	void Page_Load(Object Sender, EventArgs E)
	{
	  //Clear any previous text
	  MessageLiteral.Text = "";

	  //Create the MailMessage object and set its properties
	  MailMessage _Message = new MailMessage();

	  //_Message.To = "Recipients Email";
	  //_Message.From = "Your Email";
	  //_Message.Subject = "How to send emails through ASP.NET";
	  //_Message.Body = "Your Message goes here..."; 

	  _Message.To = "someone@null.com";
	  _Message.From = "someone-else@null.com";
	  _Message.Subject = "How to send emails through ASP.NET";
	  _Message.Body = "Your Message goes here..."; 

	  //Make sure to set the path where your file is located...
	  MailAttachment _Attachment = new MailAttachment("c:\\ldif.zip");

	  //Add the attachment\s to the _Message object
	  _Message.Attachments.Add(_Attachment);

	  //Specify the name of the SMTP gateway server
	  //SmtpMail.SmtpServer="mail.myserver.com";
	  SmtpMail.SmtpServer="mail.null.com";

	  try{
		//Send the email
		SmtpMail.Send(_Message);
		MessageLiteral.Text = "Message sent successfully!";
	  }
	  catch(Exception err){
		MessageLiteral.Text = err.Message;
	  }
	}

</Script>
<html>
	<head>
		<title>CookBook :: Making attachments with email</title>
	</head>
	<body>
		<form runat="server">
			<asp:Literal id="MessageLiteral" runat="server"></asp:Literal>
		</form>
	</body>
</html>
